<html>

<head>
	<title>Bestelformulier</title>
</head>

<body>

<?php

function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@[0-9a-zA-Z_\-]{1,}\.[0-9a-zA-Z_\-]{2,}$)', $str));
}
function valid_name ($str) {
 return  (ereg ('^[A-Za-z. -]+$', $str));
}
function valid_tussenvoegsel ($str) {
 return  (ereg ('^[A-Za-z ]*$', $str));
}
function valid_voorletters ($str) {
 return  (ereg ('^[A-Z.]+$', $str));
}
function valid_achternaam ($str) {
 return  (ereg ('^[A-Za-z -]+$', $str));
}
function valid_adres ($str) {
 return  (ereg ('^([A-Za-z-])+[0-9]+([a-z -])*$', $str));
}
function valid_postcode ($str) {
 return  (ereg ('^[1-9][0-9]{3}[ ]?[A-Za-z]{2}$', $str));
}
function valid_woonplaats ($str) {
 return  (ereg ('([A-Za-z -])+$', $str));
}
function valid_telnr ($str) {
 return  (ereg ('^[0-9]{10}$', $str));
}
function valid_reknr ($str) {
 return  (ereg ('^[1-9][0-9]{3,}$', $str));
}



$naam = ucfirst($naam);


if ($verzendbutton != "verzenden" || !valid_mail($mailadres) || !valid_voorletters($voorletters) || !valid_tussenvoegsel($tussenvoegsel) || !valid_achternaam($achternaam)) { 


echo "<h1>Bestel ".$artikelnaam."</h1>";
echo "Bestelnummer $artikelnummer<br>";
echo "Prijs $artikelprijs &euro;<br><p>";

echo "<form action=\"$PHP_SELF\" method=\"post\">";
echo "<input type=\"hidden\" name=\"artikelnaam\" value=\"$artikelnaam\">";
echo "<input type=\"hidden\" name=\"artikelnummer\" value=\"$artikelnummer\">";
echo "<input type=\"hidden\" name=\"artikelprijs\" value=\"$artikelprijs\">";

if ($verzendbutton && !valid_voorletters($voorletters)) {
		echo "<font color=\"red\">Vul hier uw voorletters correct in!</font>";
}
?>
Voorletters: <input type="text" name="voorletters" value="<?php echo $voorletters ?>"><br>
<?php
if ($verzendbutton && !valid_tussenvoegsel($tussenvoegsel)) {
		echo "<font color=\"red\">Vul hier uw tussenvoegsel correct in!</font>";
}
?>
Tussenvoegsel: <input type="text" name="tussenvoegsel" value="<?php echo $tussenvoegsel ?>"><br>

<?php
if ($verzendbutton && !valid_achternaam($achternaam)) {
		echo "<font color=\"red\">Vul hier uw achternaam correct in!</font>";
}
?>
Achternaam: <input type="text" name="achternaam" value="<?php echo $achternaam ?>"><br>

<?php
if ($verzendbutton && !valid_adres($adres)) {
		echo "<font color=\"red\">Vul hier uw adres correct in!</font>";
}
?>
Adres: <input type="text" name="adres" value="<?php echo $adres ?>"><br>

<?php
if ($verzendbutton && !valid_postcode($postcode)) {
		echo "<font color=\"red\">Vul hier uw postcode correct in!</font>";
}
?>
Postcode: <input type="text" name="postcode" value="<?php echo $postcode ?>"><br>

<?php
if ($verzendbutton && !valid_woonplaats($woonplaats)) {
		echo "<font color=\"red\">Vul hier uw woonplaats correct in!</font>";
}
?>
Woonplaats: <input type="text" name="woonplaats" value="<?php echo $woonplaats ?>"><br>

<?php
if ($verzendbutton && !valid_mail($mailadres)) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $mailadres ?>"><br>

<?php
if ($verzendbutton && !valid_telnr($telnr)) {
		echo "<font color=\"red\">Vul hier uw telefoonnummer correct in!</font>";
}
?>
Telefoonnummer: <input type="text" name="telnr" value="<?php echo $telnr ?>"><br>
<?php

if ($verzendbutton && !valid_reknr($reknr)) {
		echo "<font color=\"red\">Vul hier uw rekeningnummer correct in!</font>";
}
?>
Rekeningnummer: <input type="text" name="reknr" value="<?php echo $reknr ?>"><br>

<input type="submit" value="verzenden" name="verzendbutton">
</form>

<?php

} else {

	echo "Nu worden uw gegevens afgehandeld...";

}

?>
</body>

</html>